#include<bits/stdc++.h>
using namespace std;
int ktnt(int x)
{
	int i;
	if(x<2) return 0;
	else
	{
		for(i=2;i<=sqrt(x);i++)
		{
			if(x%i==0) return 0;

		}
	}
	return 1;
}
int main ()
{
	ifstream f1("DQNT.inp");
	ofstream f2("DQNT.out");
	int n,a[10000],i;
	f1>>n;
	for(i=0;i<n;i++)
	{
		f1>>a[i];
	}
	sort(a,a+n);
	for(i=0;i<n;i++)
	{
		if(ktnt(a[i])==1)
		f2<<" "<<a[i];
	}

}  

